Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_Rb_Tree_Const_Iterator< Value > Struct Template Reference
[OSCL Base]

`#include <oscl_tree.h>`

## Public Types
typedef Value | value_type
typedef const value_type & | reference
typedef const value_type * | pointer
typedef Oscl_Rb_Tree_Const_Iterator< Value > | const_iterator
typedef Oscl_Rb_Tree_Const_Iterator< Value > | self
typedef Oscl_Rb_Tree_Node_Base * | base_link_type
typedef Oscl_Rb_Tree_Node< Value > * | link_type
## Public Methods
| Oscl_Rb_Tree_Const_Iterator ()
| Oscl_Rb_Tree_Const_Iterator (link_type x)
| Oscl_Rb_Tree_Const_Iterator (const const_iterator &it)
reference | operator * () const
pointer | operator-> () const
bool | operator== (const self &x)
bool | operator!= (const self &x)
self & | operator++ ()
self | operator++ (int)
self & | operator-- ()
self | operator-- (int)
## Data Fields
base_link_type | node

### template<class Value>
struct Oscl_Rb_Tree_Const_Iterator< Value >

## Member Typedef Documentation

template<class Value>
typedef Oscl_Rb_Tree_Node_Base* Oscl_Rb_Tree_Const_Iterator< Value >::base_link_type

template<class Value>
typedef Oscl_Rb_Tree_Const_Iterator<Value> Oscl_Rb_Tree_Const_Iterator< Value >::const_iterator

template<class Value>
typedef Oscl_Rb_Tree_Node<Value>* Oscl_Rb_Tree_Const_Iterator< Value >::link_type

template<class Value>
typedef const value_type* Oscl_Rb_Tree_Const_Iterator< Value >::pointer

template<class Value>
typedef const value_type& Oscl_Rb_Tree_Const_Iterator< Value >::reference

template<class Value>
typedef Oscl_Rb_Tree_Const_Iterator<Value> Oscl_Rb_Tree_Const_Iterator< Value >::self

template<class Value>
typedef Value Oscl_Rb_Tree_Const_Iterator< Value >::value_type

## Constructor & Destructor Documentation

template<class Value>
Oscl_Rb_Tree_Const_Iterator< Value >::Oscl_Rb_Tree_Const_Iterator | ( |  | ) | `[inline]`

template<class Value>
Oscl_Rb_Tree_Const_Iterator< Value >::Oscl_Rb_Tree_Const_Iterator | ( | link_type | x | ) | `[inline]`

template<class Value>
Oscl_Rb_Tree_Const_Iterator< Value >::Oscl_Rb_Tree_Const_Iterator | ( | const const_iterator & | it | ) | `[inline]`

## Member Function Documentation

template<class Value>
reference Oscl_Rb_Tree_Const_Iterator< Value >::operator * | ( |  | ) | const`[inline]`

template<class Value>
bool Oscl_Rb_Tree_Const_Iterator< Value >::operator!= | ( | const self & | x | ) | `[inline]`

template<class Value>
self Oscl_Rb_Tree_Const_Iterator< Value >::operator++ | ( | int |  | ) | `[inline]`

template<class Value>
self& Oscl_Rb_Tree_Const_Iterator< Value >::operator++ | ( |  | ) | `[inline]`

template<class Value>
self Oscl_Rb_Tree_Const_Iterator< Value >::operator-- | ( | int |  | ) | `[inline]`

template<class Value>
self& Oscl_Rb_Tree_Const_Iterator< Value >::operator-- | ( |  | ) | `[inline]`

template<class Value>
pointer Oscl_Rb_Tree_Const_Iterator< Value >::operator-> | ( |  | ) | const`[inline]`

template<class Value>
bool Oscl_Rb_Tree_Const_Iterator< Value >::operator== | ( | const self & | x | ) | `[inline]`

## Field Documentation

template<class Value>
base_link_type Oscl_Rb_Tree_Const_Iterator< Value >::node

The documentation for this struct was generated from the following file:

- oscl_tree.h